<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>MUnit Coverage Report</title>
    <link rel="stylesheet" type="text/css" href="assets/styles/mulesoft-styles.css">
    <link rel="stylesheet" type="text/css" href="assets/styles/tsorter.css">
</head>
<body>
<div class="mulesoft-topbar">
    <div class="mulesoft-appbar">
        <div class="muleicon muleicon-logo"></div>
        <div class="anypoint-brand">MUnit Coverage Report - Mule Configuration Files</div>
    </div>
</div>
<div class="col-md-8 col-md-offset-2">
    <h2 class="text-bold">Application Coverage*</h2>
    <div class="progress">
        <span>0%</span>
        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0" aria-valuemin="0"
             aria-valuemax="100" style="width: 0%;">
        </div>
    </div>
    <ul class="list-unstyled">
        <li>
            <h4><b>Required Application Coverage :</b>
                N/A
            </h4>
        </li>
    </ul>
    <h2 class="text-bold">Mule Configuration Files</h2>
    <table id="resources_table" class="table table-featured table-hover sortable">
        <thead>
        <tr>
            <th colspan="2" data-tsorter="link">Resource</th>
            <th data-tsorter="numeric">#Containers</th>
            <th data-tsorter="numeric">Weight%**</th>
            <th data-tsorter="coverage">Coverage*</th>
        </tr>
        </thead>
        <tbody id="table-body">
        <tr>
            <td colspan="2"><a href=sys-dynamo/sys-dynamo-report.html>sys-dynamo/sys-dynamo.xml</a></td>
            <td>2</td>
            <td>3.75</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=implementation/impl-after-fb-function-report.html>implementation/impl-after-fb-function.xml</a></td>
            <td>1</td>
            <td>4.38</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=implementation/impl-free-fb-api-report.html>implementation/impl-free-fb-api.xml</a></td>
            <td>1</td>
            <td>6.25</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=sys-bss/sys-bss-report.html>sys-bss/sys-bss.xml</a></td>
            <td>1</td>
            <td>1.88</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=sys-nf/sys-nf-report.html>sys-nf/sys-nf.xml</a></td>
            <td>1</td>
            <td>1.88</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=sys-bridge/sys-bridge-report.html>sys-bridge/sys-bridge.xml</a></td>
            <td>1</td>
            <td>1.88</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=implementation/impl-save-bin-report.html>implementation/impl-save-bin.xml</a></td>
            <td>1</td>
            <td>1.88</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=implementation/impl-fb-provision-report.html>implementation/impl-fb-provision.xml</a></td>
            <td>1</td>
            <td>3.75</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=implementation/impl-get-sub-ids-report.html>implementation/impl-get-sub-ids.xml</a></td>
            <td>1</td>
            <td>2.50</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=implementation/impl-audit-log-report.html>implementation/impl-audit-log.xml</a></td>
            <td>2</td>
            <td>4.38</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=sys-cache/sys-cache-report.html>sys-cache/sys-cache.xml</a></td>
            <td>4</td>
            <td>7.50</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=error-handling-report.html>error-handling.xml</a></td>
            <td>2</td>
            <td>10.63</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=sys-sms/sys-sms-report.html>sys-sms/sys-sms.xml</a></td>
            <td>1</td>
            <td>1.88</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=proc-free-fb-api-report.html>proc-free-fb-api.xml</a></td>
            <td>3</td>
            <td>6.25</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=implementation/impl-validate-subscriber-report.html>implementation/impl-validate-subscriber.xml</a></td>
            <td>1</td>
            <td>9.38</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=implementation/impl-get-bin-report.html>implementation/impl-get-bin.xml</a></td>
            <td>1</td>
            <td>6.25</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=sys-log/sys-log-report.html>sys-log/sys-log.xml</a></td>
            <td>2</td>
            <td>5.00</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=implementation/impl-on-error-response-report.html>implementation/impl-on-error-response.xml</a></td>
            <td>1</td>
            <td>2.50</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=implementation/impl-validate-state-and-eligibility-report.html>implementation/impl-validate-state-and-eligibility.xml</a></td>
            <td>1</td>
            <td>4.38</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=implementation/impl-validate-and-set-payload-derived-variables-report.html>implementation/impl-validate-and-set-payload-derived-variables.xml</a></td>
            <td>1</td>
            <td>5.00</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=implementation/impl-set-initial-payload-and-cid-report.html>implementation/impl-set-initial-payload-and-cid.xml</a></td>
            <td>1</td>
            <td>1.88</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=sys-fb/sys-fb-report.html>sys-fb/sys-fb.xml</a></td>
            <td>1</td>
            <td>1.88</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        <tr>
            <td colspan="2"><a href=implementation/impl-sms-and-audit-function-report.html>implementation/impl-sms-and-audit-function.xml</a></td>
            <td>1</td>
            <td>5.00</td>
            <td>
                    <div class="progress">
                        <span>0%</span>
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="0"
                             aria-valuemin="0" aria-valuemax="100" style="width: 0%;">
                        </div>
                    </div>
            </td>
        </tr>
        </tbody>
    </table>
    <h4>(*) Number of processors executed during test</h4>
    <h4>(**) Number of processors inside the resource over the total number of processors in the application</h4>
</div>
<script type="text/javascript" src="assets/js/tsorter.min.js"></script>
<script type="text/javascript">
    function init() {
        var sorter = tsorter.create('resources_table', 0, {
            coverage: function (row) {
                var cov = this.getCell(row).childNodes[1].childNodes[3].attributes['aria-valuenow'].textContent;
                return parseFloat(cov.substring(cov[0].length - 1), 10);
            }
        });
    }

    window.onload = init;

</script>
</body>
</html>
